﻿@using UsingViewsAndModels_LeoSkadden.Models
@model UsingViewsAndModels_LeoSkadden.Models.Purchase

@{
	ViewBag.Title = "Edit";
	ObjectFactory factory = new ObjectFactory();
	Model.Id = ViewBag.Id;
}

<h2>Edit</h2>

@using (Html.BeginForm())
{
	@Html.AntiForgeryToken()
	
	<div class="form-horizontal">
		<h4>Purchase</h4>
		<hr />
		@Html.ValidationSummary(true, "", new { @class = "text-danger" })
		<div class="form-group">
			@Html.LabelFor(model => model.Customer, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.DropDownListFor(model => model.CustId, factory.Customers.Select(item => new SelectListItem{Value = item.Key.ToString(), Text = item.Value.ToString()}))
				@Html.ValidationMessageFor(model => model.CustId, "", new { @class = "text-danger" })
			</div>
		</div>
		<div class="form-group">
			@Html.LabelFor(model => model.Product, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.DropDownListFor(model => model.ProdId, factory.Products.Select(item => new SelectListItem{Value = item.Key.ToString(), Text = item.Value.ToString()}))
				@Html.ValidationMessageFor(model => model.ProdId, "", new { @class = "text-danger" })
			</div>

		</div>
		<div class="form-group">
			@Html.LabelFor(model => model.PurchaseDate, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.EditorFor(model => model.PurchaseDate, new { htmlAttributes = new { @class = "form-control" } })
				@Html.ValidationMessageFor(model => model.PurchaseDate, "", new { @class = "text-danger" })
			</div>
		</div>

		<div class="form-group">
			@Html.LabelFor(model => model.Price, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.EditorFor(model => model.Price, new { htmlAttributes = new { @class = "form-control" } })
				@Html.ValidationMessageFor(model => model.Price, "", new { @class = "text-danger" })
			</div>
		</div>

		<div class="form-group">
			<div class="col-md-offset-2 col-md-10">
				<input type="submit" value="Save" class="btn btn-default" />
			</div>
		</div>
	</div>
}

<div>
	@Html.ActionLink("Back to List", "Index")
</div>
